Skip to content
Start here

Update a proxy endpoint

client.zeroTrust.gateway.proxyEndpoints.edit(stringproxyEndpointId, ProxyEndpointEditParams { account_id, ips, name } params, RequestOptionsoptions?): ProxyEndpoint
PATCH/accounts/{account_id}/gateway/proxy_endpoints/{proxy_endpoint_id}

Update a configured Zero Trust Gateway proxy endpoint.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
ParametersExpand Collapse
proxyEndpointId: string
params: ProxyEndpointEditParams { account_id, ips, name }
account_id: string

Path param

ips?: Array<GatewayIPs>

Body param: Specify the list of CIDRs to restrict ingress connections.

name?: string

Body param: Specify the name of the proxy endpoint.

ReturnsExpand Collapse
ProxyEndpoint = ZeroTrustGatewayProxyEndpointIP { ips, name, id, 4 more } | ZeroTrustGatewayProxyEndpointIdentity { kind, name, id, 3 more }
One of the following:
ZeroTrustGatewayProxyEndpointIP { ips, name, id, 4 more }
ips: Array<GatewayIPs>

Specify the list of CIDRs to restrict ingress connections.

name: string

Specify the name of the proxy endpoint.

id?: string
created_at?: string
formatdate-time
kind?: "ip"

The proxy endpoint kind

subdomain?: string

Specify the subdomain to use as the destination in the proxy client.

updated_at?: string
formatdate-time
ZeroTrustGatewayProxyEndpointIdentity { kind, name, id, 3 more }
kind: "identity"

The proxy endpoint kind

name: string

Specify the name of the proxy endpoint.

id?: string
created_at?: string
formatdate-time
subdomain?: string

Specify the subdomain to use as the destination in the proxy client.

updated_at?: string
formatdate-time

Update a proxy endpoint

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const proxyEndpoint = await client.zeroTrust.gateway.proxyEndpoints.edit(
  'ed35569b41ce4d1facfe683550f54086',
  { account_id: '699d98642c564d2e855e9661899b7252' },
);

console.log(proxyEndpoint);
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "ips": [
      "192.0.2.1/32"
    ],
    "name": "Devops team",
    "id": "ed35569b41ce4d1facfe683550f54086",
    "created_at": "2014-01-01T05:20:00.12345Z",
    "kind": "ip",
    "subdomain": "oli3n9zkz5.proxy.cloudflare-gateway.com",
    "updated_at": "2014-01-01T05:20:00.12345Z"
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "ips": [
      "192.0.2.1/32"
    ],
    "name": "Devops team",
    "id": "ed35569b41ce4d1facfe683550f54086",
    "created_at": "2014-01-01T05:20:00.12345Z",
    "kind": "ip",
    "subdomain": "oli3n9zkz5.proxy.cloudflare-gateway.com",
    "updated_at": "2014-01-01T05:20:00.12345Z"
  }
}